# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name mime-types

Name:           ghc-%{pkg_name}
Version:        0.1.0.5
Release:        1%{?dist}
Summary:        Basic mime-type handling types and functions

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
API docs and the README are available at
<http://www.stackage.org/package/mime-types>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Tue Jan 20 2015 Jens Petersen <petersen@redhat.com> - 0.1.0.5-1
- update to 0.1.0.5

* Wed Jun 25 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.0.4-1
- spec file generated by cabal-rpm-0.8.11.1
